MinimServer Forum

Full Version: Unable to install minimstreamer 209
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi,
After installing mimimserver 2.1 in my Synology with DSM 7, I got this problem with minimstreamer 209 not installing. This is the error in the log:

01:20:04.578 Thread-27: Error 854 [Package 'ffmpeg-4.1-melco-2.0' conflicts with this product] invoking checkPackage on remote runtime monitor
01:20:04.578 AWT-EventQueue-0: isUpdatesExpiryConflict: packageDate=20210831 updatesExpiry=20230131


Code:
01:20:04.164 Thread-27: PackageManager.isPackageRequired: packageName=minimstreamer-2.0.9
01:20:04.164 Thread-27: isPackageRequired: minimstreamer-2.0.9 is required
01:20:04.164 Thread-27: PackageManager: cached resourcePrefix is http://minimworld.com/
01:20:04.351 Thread-27: ComponentClassLoader: using local class loader for class org.jminim.ohnet.SyncCheckPackageJminimOrgMonitor22
01:20:04.378 Thread-27: PackageManager.isPackageRequired: packageName=ffmpeg-4.1-melco-2.0
01:20:04.378 Thread-27: isPackageRequired: ffmpeg-4.1-melco-2.0 is required
01:20:04.378 Thread-27: PackageManager: cached resourcePrefix is http://minimworld.com/
[color=#FF0000][u]01:20:04.578 Thread-27: Error 854 [Package 'ffmpeg-4.1-melco-2.0' conflicts with this product] invoking checkPackage on remote runtime monitor
01:20:04.578 AWT-EventQueue-0: isUpdatesExpiryConflict: packageDate=20210831 updatesExpiry=20230131[/u][/color]
01:20:04.578 AWT-EventQueue-0: ComponentClassLoader: using parent class loader for class java.util.Date
01:20:04.578 Thread-27: RefreshPackagesPanel: refreshAvailPackageList returned true
01:20:06.127 AWT-EventQueue-0: ComponentClassLoader: using parent class loader for class javax.swing.event.ListSelectionEvent
01:20:21.288 AWT-EventQueue-0: TrayView: show log action
This is a MinimWatch trace log, not a MinimServer log. It doesn't show any problems with either MinimWatch or MinimServer.

You have produced this log by setting the logging level to Trace. The Trace and Debug logging levels are not intended to be used for normal operation of MinimWatch and MinimServer. These logging levels produce debugging information and this information can be misinterpreted by someone not familiar with the internal design and operation of MinimWatch and MinimServer. Specifically, the 'Error 854' message in this log output is part of the normal operation of MinimWatch and does not indicate that any error has occurred when installing the minimstreamer-2.0.9 package. Similarly, the isUpdatesExpiryConflict message does not indicate an error situation.

Apart from these messages in the Trace log output, what has made you think there is a problem with minimstreamer-2.0.9 not installing?
(16-01-2022 11:08)simoncn Wrote: [ -> ]This is a MinimWatch trace log, not a MinimServer log. It doesn't show any problems with either MinimWatch or MinimServer.

You have produced this log by setting the logging level to Trace. The Trace and Debug logging levels are not intended to be used for normal operation of MinimWatch and MinimServer. These logging levels produce debugging information and this information can be misinterpreted by someone not familiar with the internal design and operation of MinimWatch and MinimServer. Specifically, the 'Error 854' message in this log output is part of the normal operation of MinimWatch and does not indicate that any error has occurred when installing the minimstreamer-2.0.9 package. Similarly, the isUpdatesExpiryConflict message does not indicate an error situation.

Apart from these messages in the Trace log output, what has made you think there is a problem with minimstreamer-2.0.9 not installing?

See the attach image, it stay like this and never confirm the install. Then if I exit minimwatch it sims to be hang and some times I get an error message. And some times after exiting minimwatch I got the license message from minimstreamer but accepting it doesn't complete the install any way.
OK now it worked, don't know what I did or not but after several attempts it finally install.
This sounds like a network connectivity issue, either between MinimWatch and MinimServer on your local network or between MinimWatch and the internet download server for the MinimStreamer package. I'm glad to hear it has worked for you now.
Reference URL's